## Package Win32::GUI::Class

Back to the Packages

- Constructor

  - new Win32::GUI::Class(%OPTIONS)

### Constructor

new Win32::GUI::Class(%OPTIONS)

  Creates a new window class object. Allowed `%OPTIONS` are:

        -name => STRING
            the name for the class (it must be unique!).
        -icon => Win32::GUI::Icon object
        -cursor => Win32::GUI::Cursor object
        -color => COLOR or Win32::GUI::Brush object
            the window background color.
        -menu => STRING
            a menu name (not yet implemented).
        -extends => STRING
            name of the class to extend (aka subclassing).
        -widget => STRING
            name of a widget class to subclass; currently available are:
            Button, Listbox, TabStrip, RichEdit.
        -style => FLAGS
            use with caution!